CartonCloud
CartonCloud API

Definitions

Endpoints related to Definitions. See Entity Definition for further details.


Get tenant entity definition

GET
https://api.cartoncloud.com
/tenants/{tenantId}/definitions/{entityClass}/{entityType}
required permission: VIEW_DEFINITION

Returns the JSON schema definition for an entity class and type.

entityClass in the URL is the lowercase route segment (task, fee_category, document), not the uppercase data-dictionary name.

MANIFEST, RUN_SHEET, and WAVE_PICK are task types and are only available through task (for example task / MANIFEST, task / RUN_SHEET, and task / WAVE_PICK). They are not available through activity. The existing activity entity types are available through both activity and task and return the same schema from either.

task / WAVE_PICK describes the shared wave pick task schema, including status enum labels used across wave pick process types.

document definitions are served by the file service. fee_category requires VIEW_FEE_CATEGORY.

Get tenant entity definition › path Parameters

tenantId
​string · uuid · required

Tenant ID. Can be found in organisation settings

entityClass
​EntityClass · enum · required

Lowercase path segment for the entity class, as routed by the API.

Lowercase path segment for a tenant entity definition.

Enum values:
activity
actor
company
document
fee_category
product
task
trackable
entityType
​string · required

See Data Dictionary for further details

Entity ClassEntity Types
activityINBOUND, OUTBOUND, PICK_ITEM_TO_TOTE, PICK_PACK
actorCARRIER, VEHICLE
companyCUSTOMER
documentINBOUND_RECEIVAL, OUTBOUND_CONFIRMATION, TRANSPORT_PROOF_OF_DELIVERY, TRANSPORT_PROOF_OF_DELIVERY_REQUIRED_ATTACHMENTS
fee_categoryFEE_CATEGORY
productTRANSPORT, WAREHOUSE
taskINBOUND, MANIFEST, OUTBOUND, PICK_ITEM_TO_TOTE, PICK_PACK, RUN_SHEET, WAVE_PICK
trackableSTOCK, TRANSPORT_ITEM, TRANSPORT_PRODUCT

Get tenant entity definition › query Parameters

inactiveCustomFields
​boolean

Include inactive custom fields. Honoured for activity, product, task, and trackable. Ignored for actor, company, document, and fee_category.

customerId
​UUID · uuid

Customer UUID. When provided for activity, task, warehouse product, or stock trackable, customer-specific property definitions are included. Returns 400 if the customer does not exist. Ignored for other entity classes.

Example: 38756e85-d15c-45d9-84fd-1b3e50b73527

Get tenant entity definition › Headers

Accept-Version
​string · enum · required

All API end points require Accept-Version in the request header.

Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.

Enum values:
8

Get tenant entity definition › Responses

Success

oneOf
Exactly one variant must match.

Decision Table

VariantMatching Criteria
type = object · type="boolean"
type = object · type="integer"
type = object · type="number"
type = object · type="string"
type = object · type="array"
type = object · type="object"
Properties for Boolean Definition:
type
​string · const · required
Const value: boolean
default
​boolean | null
title
​string | null

Label for the field.

description
​string | null

Description of field. Could be used for a tooltip or field information.

deprecated
​boolean | null

Indicates that the value the keyword applies to should not be used and may be removed in the future. Currently set to true for disabled custom fields.

readOnly
​boolean | null

Field generated / calculated by the system and cannot be set, only read. Defaults to false.

​object